<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>

<!--

 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to you under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 $Id$
-->


<f:view>
<html>
<head>
  <title>
    <h:outputText   value="#{messages['subscription.title.create']}"
                 rendered="#{state.mode == 'CREATE'}"/>
    <h:outputText   value="#{messages['subscription.title.delete']}"
                 rendered="#{state.mode == 'DELETE'}"/>
    <h:outputText   value="#{messages['subscription.title.edit']}"
                 rendered="#{state.mode == 'EDIT'}"/>
                 
  </title>
</head>
<body>

<h:messages    globalOnly="true"/>

<h:form                id="subscription">

  <h:panelGrid    columns="3">

    <%-- Grid header element --%>

    <f:facet name="header">
      <h:panelGroup>
        <h:outputText
                    value="#{messages['subscription.title.create']}"
                 rendered="#{state.mode == 'CREATE'}"/>
        <h:outputText
                    value="#{messages['subscription.title.delete']}"
                 rendered="#{state.mode == 'DELETE'}"/>
        <h:outputText
                    value="#{messages['subscription.title.edit']}"
                 rendered="#{state.mode == 'EDIT'}"/>
      </h:panelGroup>
    </f:facet>

    <%-- First row --%>

    <h:outputLabel    for="user">
      <h:outputText value="#{messages['prompt.username']}"/>
    </h:outputLabel>

    <h:outputText      id="user"
                    value="#{state.user.username}"/>

    <h:outputText   value=""/>

    <%-- Second row --%>

    <h:outputLabel    for="host">
      <h:outputText value="#{messages['prompt.mailHostname']}"/>
    </h:outputLabel>

    <h:panelGroup>
      <h:inputText     id="host"
                     size="50"
                    value="#{subscription.host}"
                 rendered="#{state.mode == 'CREATE'}"/>
      <h:outputText value="#{subscription.host}"
                 rendered="#{state.mode != 'CREATE'}"/>
    </h:panelGroup>

    <h:panelGroup>
      <h:message       id="hostMessages"
                      for="host"
                 rendered="#{state.mode == 'CREATE'}"/>
      <h:outputText value=""
                 rendered="#{state.mode != 'CREATE'}"/>
    </h:panelGroup>

    <%-- Third row --%>

    <h:outputLabel    for="username">
      <h:outputText value="#{messages['prompt.mailUsername']}"/>
    </h:outputLabel>

    <h:inputText       id="username"
                     size="50"
                    value="#{subscription.username}"/>

    <h:message        for="username"/>

    <%-- Fourth row --%>

    <h:outputLabel    for="password">
      <h:outputText value="#{messages['prompt.mailPassword']}"/>
    </h:outputLabel>

    <h:inputText       id="password"
                     size="50"
                    value="#{subscription.password}"/>

    <h:message        for="username"/>

    <%-- Fifth row --%>

    <h:outputLabel    for="type">
      <h:outputText value="#{messages['prompt.mailServerType']}"/>
    </h:outputLabel>

    <h:selectOneMenu   id="type"
                    value="#{subscription.type}">
      <f:selectItems
                    value="#{protocols}"/>
    </h:selectOneMenu>

    <h:message        for="type"/>

    <%-- Sixth row --%>

    <h:outputLabel    for="autoConnect">
      <h:outputText value="#{messages['prompt.autoConnect']}"/>
    </h:outputLabel>

    <h:selectBooleanCheckbox
                       id="autoConnect"
                    value="#{subscription.autoConnect}"/>

    <h:message        for="autoConnect"/>

    <%-- Seventh row --%>

    <h:panelGroup>
      <h:commandButton
                      id="confirm"
                  action="#{subscription.save}"
                    type="SUBMIT"
                   value="#{messages['button.confirm']}"
                rendered="#{state.mode == 'DELETE'}"/>
      <h:commandButton
                      id="save"
                  action="#{subscription.save}"
                    type="SUBMIT"
                   value="#{messages['button.save']}"
                rendered="#{state.mode != 'DELETE'}"/>
    </h:panelGroup>

    <h:panelGroup      id="reset_and_cancel">
      <h:commandButton id="reset"
                     type="RESET"
                    value="#{messages['button.reset']}"/>
      <h:commandButton id="cancel"
                   action="#{subscription.cancel}"
                     type="SUBMIT"
                    value="#{messages['button.cancel']}"/>
    </h:panelGroup>

  </h:panelGrid>

</h:form>

</body>
</html>
</f:view>
